Notices


Reply
Thread Tools
Community Council | Posts: 4,113 | Thanked: 9,878 times | Joined on May 2012 @ Southerrn Finland
#151
Originally Posted by nieldk View Post
the option in settings/apps/phone that is available not working for you?
That's not available in sbj1
 

The Following 4 Users Say Thank You to juiceme For This Useful Post:
Posts: 49 | Thanked: 174 times | Joined on Oct 2014 @ Hagenberg i.M., Austria
#152
Guys, sorry for the late answer. For some reason I don't receive notifications from this thread after a while.

If there's a problem resolving dependencies, try pkcon refresh in terminal. It will update available packages, and gst-plugins-good is there again. I think I'll change RPM spec to gstreamer1.0-plugins-good for the next Sailfish version, as it should be Qt 5.6-based and the app needs to be repackaged anyway.
 

The Following 2 Users Say Thank You to dpurgin For This Useful Post:
Posts: 72 | Thanked: 98 times | Joined on Feb 2015
#153
Is there a repository that is necessary to have enabled? Because it still won't find gst-plugins-good no matter how much pkcon is refreshed.
 

The Following 2 Users Say Thank You to oenone For This Useful Post:
Posts: 49 | Thanked: 174 times | Joined on Oct 2014 @ Hagenberg i.M., Austria
#154
Seems like most of gst-plugin-good installations are rest-overs from the installations of the Call recorder on older versions of Sailfish. Which version of SailfishOS do you use? Which one did you have when you first started using the device? Is it a fresh installation of the Call Recorder you attempting?
 

The Following 2 Users Say Thank You to dpurgin For This Useful Post:
TMavica's Avatar
Posts: 1,968 | Thanked: 920 times | Joined on Apr 2010 @ Hong Kong
#155
Gst-plugin-good
https://dl.dropboxusercontent.com/u/...12.armv7hl.rpm
__________________
The Glorious Lady T.Mavica
Twitter https://twitter.com/TMavica
 

The Following 2 Users Say Thank You to TMavica For This Useful Post:
Posts: 72 | Thanked: 98 times | Joined on Feb 2015
#156
Originally Posted by dpurgin View Post
Seems like most of gst-plugin-good installations are rest-overs from the installations of the Call recorder on older versions of Sailfish. Which version of SailfishOS do you use? Which one did you have when you first started using the device? Is it a fresh installation of the Call Recorder you attempting?
Device is OnePlus X, with fresh install of "beta 4" that sets the device up with 2.0.5.6

Yes, before fresh reinstall I had it updated to 2.0.5.6 from somewhere around 1.9.x.x ("alpha", I think), and the gst-plugin-good was a left-over from those installations.
 

The Following User Says Thank You to oenone For This Useful Post:
Posts: 49 | Thanked: 174 times | Joined on Oct 2014 @ Hagenberg i.M., Austria
#157
@oenone

You could try the RPM posted by TMavica or install using rpm --nodeps. The gst-plugins-good is only used to ensure that FLAC media can be played back by gstreamer backend
 

The Following 2 Users Say Thank You to dpurgin For This Useful Post:
Posts: 49 | Thanked: 174 times | Joined on Oct 2014 @ Hagenberg i.M., Austria
#158
Meanwhile I've uploaded TMavica's RPM to https://dpurgin.github.io/ just in case
 

The Following 3 Users Say Thank You to dpurgin For This Useful Post:
Posts: 72 | Thanked: 98 times | Joined on Feb 2015
#159
Originally Posted by dpurgin View Post
@oenone

You could try the RPM posted by TMavica or install using rpm --nodeps. The gst-plugins-good is only used to ensure that FLAC media can be played back by gstreamer backend
Tried. A ton of dependencies are necessary for the RPM from TMavica:

Code:
[nemo@Sailfish Downloads]$ rpm -i gst-plugins-good-0.10.31+git5-1.5.12.armv7hl.rpm 
warning: gst-plugins-good-0.10.31+git5-1.5.12.armv7hl.rpm: Header V3 DSA/SHA1 Signature, key ID 3647af9c: NOKEY
error: Failed dependencies:
	libgstaudio-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgstbase-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgstcontroller-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgstfft-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgstinterfaces-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgstnetbuffer-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgstpbutils-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgstreamer-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgstriff-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgstrtp-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgstrtsp-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgstsdp-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgsttag-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgstvideo-0.10.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
	libgudev-1.0.so.0 is needed by gst-plugins-good-0.10.31+git5-1.5.12.armv7hl
And force installing?

Code:
[nemo@Sailfish Downloads]$ devel-su rpm -i --nodeps harbour-callrecorder-0.7.1-4.armv7hl.rpm
Password: 
Reloading systemd...
Enabling service...
ln -s '/usr/lib/systemd/user/harbour-callrecorderd.service' '/home/nemo/.config/systemd/user/post-user-session.target.wants/harbour-callrecorderd.service'
Starting service...
Error on file "/home/deploy/installroot/usr/share/applications/*.desktop": No such file or directory
warning: %post(harbour-callrecorder-0.7.1-4.armv7hl) scriptlet failed, exit status 1

Last edited by oenone; 2017-01-20 at 03:06.
 

The Following User Says Thank You to oenone For This Useful Post:
Posts: 268 | Thanked: 329 times | Joined on Jan 2012 @ Madrid, Spain
#160
Hi.

For some reason, call recorder has stopped working in my Xperia X. Seems like the captured samples are played very sloooooowly.
I have attached a small sample.

Also, here's a list of all gst* packages I have installed.

Code:
Installed    gstreamer1.0-1.10.4-1.8.1.armv7hl
Installed    gstreamer1.0-droid-0.20170918.0-10.2.1.jolla.armv7hl
Installed    gstreamer1.0-plugins-bad-1.10.4-1.13.1.armv7hl
Installed    gstreamer1.0-plugins-base-1.10.4+git1-1.6.1.armv7hl
Installed    gstreamer1.0-plugins-good-1.10.4-1.8.1.armv7hl
Installed    nemo-gstreamer1.0-interfaces-0.20150126.0-1.1.7.armv7hl
Installed    nemo-qtmultimedia-plugins-gstvideotexturebackend-0.0.9-1.6.6.armv7hl
Installed    qt5-qtmultimedia-gsttools-5.6.2+git6-1.27.4.armv7hl
Installed    qt5-qtmultimedia-plugin-mediaservice-gstcamerabin-5.6.2+git6-1.27.4.armv7hl
Installed    qt5-qtmultimedia-plugin-mediaservice-gstmediacapture-5.6.2+git6-1.27.4.armv7hl
Installed    qt5-qtmultimedia-plugin-mediaservice-gstmediaplayer-5.6.2+git6-1.27.4.armv7hl
Thank you for this useful app.

Regards.
Attached Files
File Type: tar CallRecorder.tar (176.9 KB, 7 views)
 

The Following User Says Thank You to pasko For This Useful Post:
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 04:18.